//Slave
#include <Wire.h>

void setup() {
  Wire.begin(8);                // join i2c bus with address #8
  Wire.onReceive(receiveEvent); // register event
  pinMode(13,OUTPUT);
  Serial.begin(9600);           // start serial for output
}

void loop() {
  delay(100);
}

// function that executes whenever data is received from master
// this function is registered as an event, see setup()
void receiveEvent(int howMany) {
  int c = Wire.read(); // receive byte as an integer
  Serial.println(c);  
  if (c == 0){
    digitalWrite(13,LOW);
    delay(500);
  }
  else if (c == 1){
    digitalWrite(13, HIGH);
    delay(500);
  }
  else{
    Serial.println("X");
  }
}
